Bug 1253374 - [abrt] libreoffice-core: ImpEditView::RemoveDragAndDropListeners(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: ImpEditView::RemoveDragAndDropListeners(): soffice.b...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b58d5b51bcb3d93f0eddba3961d...
:
: 958615 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 10:58 EDT by markusN
Modified: 2015-12-02 13:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:55:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (80.26 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: core_backtrace (27.97 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: dso_list (27.60 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: environ (4.41 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: exploitable (82 bytes, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: maps (124.65 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: open_fds (5.07 KB, text/plain)
2015-08-13 10:58 EDT, markusN
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-08-13 10:59 EDT, markusN
no flags Details

  None (edit)
Description markusN 2015-08-13 10:58:45 EDT
Version-Release number of selected component:
libreoffice-core-4.3.7.2-9.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin GRASS_geostat_muenster_2012_intro.odp --splash-pipe=5
crash_function: ImpEditView::RemoveDragAndDropListeners
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         4.1.3-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1338

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ImpEditView::RemoveDragAndDropListeners at /usr/src/debug/libreoffice-4.3.7.2/editeng/source/editeng/impedit.cxx:1986
 #1 EditEngine::RemoveView at /usr/src/debug/libreoffice-4.3.7.2/editeng/source/editeng/editeng.cxx:344
 #2 Outliner::RemoveView at /usr/src/debug/libreoffice-4.3.7.2/editeng/source/outliner/outliner.cxx:1354
 #3 sd::Outliner::EndSpelling at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/view/Outliner.cxx:342
 #4 sd::FuSearch::~FuSearch at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/func/fusearch.cxx:97
 #6 sd::DrawController::dispose at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/unoidl/DrawController.cxx:164
 #7 (anonymous namespace)::Frame::setComponent at /usr/src/debug/libreoffice-4.3.7.2/framework/source/services/frame.cxx:1552
 #8 (anonymous namespace)::Frame::close at /usr/src/debug/libreoffice-4.3.7.2/framework/source/services/frame.cxx:1783
 #9 framework::pattern::frame::closeIt at /usr/src/debug/libreoffice-4.3.7.2/framework/source/inc/pattern/frame.hxx:80
 #10 framework::CloseDispatcher::implts_closeFrame at /usr/src/debug/libreoffice-4.3.7.2/framework/source/dispatch/closedispatcher.cxx:491

Potential duplicate: bug 958615
Comment 1 markusN 2015-08-13 10:58:48 EDT
Created attachment 1062671 [details]
File: backtrace
Comment 2 markusN 2015-08-13 10:58:49 EDT
Created attachment 1062672 [details]
File: cgroup
Comment 3 markusN 2015-08-13 10:58:51 EDT
Created attachment 1062673 [details]
File: core_backtrace
Comment 4 markusN 2015-08-13 10:58:52 EDT
Created attachment 1062674 [details]
File: dso_list
Comment 5 markusN 2015-08-13 10:58:53 EDT
Created attachment 1062675 [details]
File: environ
Comment 6 markusN 2015-08-13 10:58:55 EDT
Created attachment 1062676 [details]
File: exploitable
Comment 7 markusN 2015-08-13 10:58:56 EDT
Created attachment 1062677 [details]
File: limits
Comment 8 markusN 2015-08-13 10:58:58 EDT
Created attachment 1062678 [details]
File: maps
Comment 9 markusN 2015-08-13 10:58:59 EDT
Created attachment 1062679 [details]
File: open_fds
Comment 10 markusN 2015-08-13 10:59:00 EDT
Created attachment 1062680 [details]
File: proc_pid_status
Comment 11 David Tardon 2015-08-17 04:00:57 EDT
Is there a way to reproduce this crash?
Comment 12 markusN 2015-08-17 13:55:18 EDT
It happened to me again today while having the indicated file and another one open at the same time. I was doing copy-pasting of text entries in the presentation.

Still no step-by-step to trigger the crash found...
Comment 13 Caolan McNamara 2015-09-01 08:43:28 EDT
*** Bug 958615 has been marked as a duplicate of this bug. ***
Comment 14 Caolan McNamara 2015-09-01 08:46:42 EDT
From the duplicate this is an ancient bug which we weren't able to reproduce the last time it happened, so I don't hold much hope unless there is a reproducible scenario :-(
Comment 15 Fedora End Of Life 2015-11-04 05:39:56 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-12-02 09:55:35 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.